Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ValidateOrderInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ValidatedOrderInfo>
it.tdlight.jni.TdApi.ValidateOrderInfo

Enclosing class:
  TdApi

public static final class TdApi.ValidateOrderInfo extends TdApi.Function<TdApi.ValidatedOrderInfo>
Validates the order information provided by a user and returns the available shipping options for a flexible invoice.

Returns `ValidatedOrderInfo`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowSave`
True, if the order information can be saved.
`long`
`chatId`
Chat identifier of the Invoice message.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
Message identifier.
`TdApi.OrderInfo`
`orderInfo`
The order information, provided by the user; pass null if empty.

## Constructor Summary

Constructors
Constructor
Description
`ValidateOrderInfo()`
Validates the order information provided by a user and returns the available shipping options for a flexible invoice.
`ValidateOrderInfo(long chatId, long messageId, TdApi.OrderInfo orderInfo, boolean allowSave)`
Validates the order information provided by a user and returns the available shipping options for a flexible invoice.
`ValidateOrderInfo(DataInput input)`
Validates the order information provided by a user and returns the available shipping options for a flexible invoice.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier of the Invoice message.

### messageId

public long messageId
Message identifier.

### orderInfo

public TdApi.OrderInfo orderInfo
The order information, provided by the user; pass null if empty.

### allowSave

public boolean allowSave
True, if the order information can be saved.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ValidateOrderInfo

public ValidateOrderInfo()
Validates the order information provided by a user and returns the available shipping options for a flexible invoice.

Returns `ValidatedOrderInfo`

### ValidateOrderInfo

public ValidateOrderInfo(long chatId, long messageId, TdApi.OrderInfo orderInfo, boolean allowSave)
Validates the order information provided by a user and returns the available shipping options for a flexible invoice.

Returns `ValidatedOrderInfo`

Parameters:
  `chatId` - long Chat identifier of the Invoice message.
  `messageId` - long Message identifier.
  `orderInfo` - OrderInfo The order information, provided by the user; pass null if empty.
  `allowSave` - boolean True, if the order information can be saved.

### ValidateOrderInfo

public ValidateOrderInfo(DataInput input) throws IOException
Validates the order information provided by a user and returns the available shipping options for a flexible invoice.

Returns `ValidatedOrderInfo`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`